Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class GroupsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.groups.GroupsException

All Implemented Interfaces:
  java.io.Serializable

    public class GroupsException

extends PortalException

A GroupsException describes a problem in the groups structure or in the groups store. An example of a structural problem is an attempt to create a circular reference. If the problem arises retrieving or updating the groups store, the GroupsException should wrap an Exception specific to the store, probably a java.sql.SQLException or a javax.naming.NamingException.

Version:
  $Revision: 1.4 $ $Date: 2005/03/07 20:08:55 $
Author:
  Dan Ellentuck
See Also:
  Serialized Form

Constructor Summary
`GroupsException()` Deprecated. use a more informative constructor
`GroupsException(java.lang.String msg)` Instantiate a GroupsException with the given message.
`GroupsException(java.lang.String msg, java.lang.Throwable cause)` Instantiate a GroupsException with the given message and underlying cause.
`GroupsException(java.lang.Throwable cause)` Instantiate a GroupsException with the given cause.

Method Summary
`int` | `getExceptionCode()` Deprecated.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupsException

    public GroupsException()

  Deprecated. use a more informative constructor

  Instantiate a bare GroupsException. Deprecated because it would be so much more helpful to use a contructor that includes a descriptive message.

### GroupsException

    public GroupsException(java.lang.Throwable cause)

  Instantiate a GroupsException with the given cause.

  Parameters:
    `cause` - Throwable that caused the problem

### GroupsException

    public GroupsException(java.lang.String msg)

  Instantiate a GroupsException with the given message.

  Parameters:
    `msg` - message describing problem

### GroupsException

    public GroupsException(java.lang.String msg,
                           java.lang.Throwable cause)

  Instantiate a GroupsException with the given message and underlying cause.

  Parameters:
    `msg` - message describing problem
    `cause` - underlying cause

Method Detail

### getExceptionCode

    public int getExceptionCode()

  Deprecated.

  Always returns zero.

  Returns:
    0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD